List running connector jobs
import requests
url = "https://{FUSION HOST}/api/connectors/jobs"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/connectors/jobs")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/connectors/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/jobs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION HOST}/api/connectors/jobs[
{
"resource": "datasource:pokedex_json_zip-api-test-app",
"runId": "PRlgLMIpQn",
"startTime": 1722622919000,
"state": "SUCCESS",
"time": 1722638284683,
"error": null,
"extra": {
"counter.other.pipeline.in": 901,
"counter.new": 899,
"counter.output": 899,
"counter.other.pipeline.complete": 901,
"counter.stage.field-mapping::21cd50b7-f391-45f9-b936-5ab30c60c8d5.processed": 899,
"datasourceId": "pokedex_json_zip-api-test-app",
"counter.input": 899,
"startTime": 1722622919000,
"endTime": 1722622920000,
"counter.stage.solr-index::180977ab-c1ef-4b31-be25-9fee41476ece.processed": 899,
"counter.stage.solr-dynamic-field-name-mapping::ff72fc68-3576-4315-814c-65a63fc72780.processed": 899,
"counter.other.pipeline.out": 901
}
}
]List running connector jobs
Return the status of all running jobs of the given connector type.
GET
/
connectors
/
jobs
List running connector jobs
import requests
url = "https://{FUSION HOST}/api/connectors/jobs"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/connectors/jobs")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/api/connectors/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/jobs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Query Parameters
The connector type, to list running jobs of that type. Use /connectors/plugins to get the types for all installed connectors.
Response
200 - application/json
OK
Was this page helpful?
⌘I